# Target

## Get

> Get a list of the schedule setting's target ids.

```json
{"openapi":"3.0.1","info":{"title":"Parallels RAS - REST API v1.0","version":"1.0"},"paths":{"/api/AVD/HostPool/Schedule/{id}/Target":{"get":{"tags":["0-Infrastructure/AVD/Host Pool//Schedule"],"summary":"Get","description":"Get a list of the schedule setting's target ids.","operationId":"fb414b9f-3ed6-4a1d-aa26-764e4518ea30","parameters":[{"name":"Id","in":"path","description":"The ID of the Schedule setting for which to retrieve the target settings.","required":true,"schema":{"type":"integer","format":"int32"}}],"requestBody":{"description":"The Schedule settings.","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/GetScheduleTarget"}}}},"responses":{"200":{"description":"Success","content":{"application/json; api-version=1.0":{"schema":{"type":"array","items":{"type":"integer","format":"int32"}}}}},"401":{"description":"Unauthorized","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"409":{"description":"Conflict","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}},"components":{"schemas":{"GetScheduleTarget":{"type":"object","additionalProperties":false},"ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}}}
```

{% openapi src="/files/oEgjY6sMA31ZVBC35aoj" path="/api/AVD/HostPool/Schedule/{id}/Target" method="post" %}
[swagger 1.json](https://content.gitbook.com/content/jyGAUPrA6XIdGAfHCnJE/blobs/7mKwtvutT7xlWtmCVnxB/swagger%201.json)
{% endopenapi %}

## Delete

> Remove a Schedule target setting.

```json
{"openapi":"3.0.1","info":{"title":"Parallels RAS - REST API v1.0","version":"1.0"},"paths":{"/api/AVD/HostPool/Schedule/{id}/Target":{"delete":{"tags":["0-Infrastructure/AVD/Host Pool//Schedule"],"summary":"Delete","description":"Remove a Schedule target setting.","operationId":"eb15ef4f-bc68-48bc-9e55-9a13d5798da6","parameters":[{"name":"Id","in":"path","description":"The ID of the Schedule setting to modify.","required":true,"schema":{"type":"integer","format":"int32"}}],"requestBody":{"description":"The Schedule settings.","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/RemoveScheduleTarget"}}}},"responses":{"204":{"description":"No Content"},"401":{"description":"Unauthorized","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"404":{"description":"Not Found","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}},"components":{"schemas":{"RemoveScheduleTarget":{"required":["targetID"],"type":"object","properties":{"targetID":{"type":"integer","description":"<para type=\"description\">The target RD Session Host server or server group Ids depending on the TargetType parameter.</para>","format":"int32"}},"additionalProperties":false},"ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.parallels.com/landing/ras-rest-api-guide/api-reference/infrastructure/avd/host-pool/schedule/target.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
